	/******************************************************************************/
/* HDdrv.h                                                                    */
/*                                                                            */
/* This is proprietary information, not to be published -- DIGIPRO DATA   	  */
/* Copyright (C) 2002, DigiPro Information Co.,Ltd.  All Rights Reserved.     */
/*                                                                            */
/* Author: Wu DingMing                                                        */
/* Date: August 12, 2002                                                      */
/******************************************************************************/
#include "iodrv.h"           
/******************************************************************************/
/*						KEY													  */
/******************************************************************************/
#define 	WRITE_KEY 		port3fff
#define 	READ_KEY		port3fff
/******************************************************************************/
/*						LCD													  */
/******************************************************************************/
#define 	LCDDATA1		port7ffd      /*change by wdm Data: August 26,2002*/
#define		LCDCMD1			port7ffc
#define 	LCDDATA0		port7ffb
#define		LCDCMD0			port7ffa
/******************************************************************************/
/*						NandFlash											  */
/******************************************************************************/
#define 	NAND_DATA	 	port0ffc
#define 	NAND_SET_ALE 	port0ffd
#define 	NAND_SET_CLE	port0ffe
/******************************************************************************/
/*						USB													  */
/******************************************************************************/
#define		D12CMD			portAff9
#define		D12DATA			portAff8                       
/******************************************************************************/
/*						UART												  */
/******************************************************************************/
#define 	UART_RBR		port9ff8   /*DLAB =0,read */
#define 	UART_THR		port9ff8   /*DLAB =0,write*/
#define 	UART_DLL		port9ff8   /*DLAB =1*/
#define 	UART_IER		port9ff9   /*DLAB =0*/
#define 	UART_DLM		port9ff9   /*DLAB =1*/
#define 	UART_IIR		port9ffa   /*read*/
#define 	UART_FCR		port9ffa   /*write*/
#define 	UART_LCR		port9ffb
#define 	UART_MCR		port9ffc
#define 	UART_LSR		port9ffd
#define 	UART_MSR		port9ffe
#define 	UART_SCR		port9fff
/******************************************************************************/
/*						DATA LED											  */
/******************************************************************************/ 
#define 	LED_SEG		port1fff
#define 	LED_BIT		port2fff		
/******************************************************************************/
/*						SIGN LED											  */
/******************************************************************************/ 
#define 	LED_SIGN	port4ffe
/******************************************************************************/
/*						Traffic LED											  */
/******************************************************************************/
#define 	LED_TRAF	port5ffe
/******************************************************************************/
/*						MOTOR(STEP/DC)										  */
/******************************************************************************/
#define 	MOTOR_DRV	port8ffe
/******************************************************************************/
/*						AD/DA												  */
/******************************************************************************/
#define 	SPI_CS		portbfff
#define 	ADDA_SELECT	portcfff
