/******************************************************************************/
/* KEY_driver.c                                                               */
/*                                                                            */
/* This is proprietary information, not to be published -- DIGIPRO DATA   	  */
/* Copyright (C) 2002, DigiPro Information Co.,Ltd.  All Rights Reserved.     */
/*                                                                            */
/* Author: Wu DingMing                                                        */
/* Date: August 12, 2002                                                      */
/******************************************************************************/
#include "HDdrv.h"
#include "key.h"
unsigned int Get_Key(void)
{
	static unsigned int key_list[21] = { 0x0000,
								  		 0x0101,0x0102,0x0104,0x0108,
							             0x0110,0x0201,0x0202,0x0204,
								  		 0x0208,0x0210,0x0401,0x0402,
								  		 0x0404,0x0408,0x0410,0x0801,
								  		 0x0802,0x0804,0x0808,0x0810};
	unsigned int key,outkey,i;
	for(outkey = 01; outkey < 0x10; outkey = outkey<<1)
	{
		WRITE_KEY = ~outkey;
		key = ~READ_KEY; 
		if(key)  
		{         
			key += outkey<<8 ;
			break;
		}
	}	
	for(i=0;i<21;i++)
	{
		if(key == key_list[i]) 
		{
			break;
		}	
	}         
	return(i);
}
