#include	"cpu_reg.h"
#include	"string.h"
#include	"RTL8019.h"

struct	ipaddr   	server_ipaddr,nod_ipaddr,r_ipaddr;
struct 	mac      	MAC_server,MAC_broad,MAC_rec;
struct 	mac      	MAC_self,MAC_nod;
struct 	iphdr    	t_iphdr;
struct 	igmphdr  	t_igmphdr;
struct 	udphdr   	t_udphdr;
struct 	pre_udphdr  pre_udphdr1;

Uint16	TxNetBuf[1518/2];
Uint16	RxNetBuf[1518/2];
Uint16	TxBufFlag;
Uint16	bnry,curr;

extern	int		ms;

void	InitProtocal(void);

void delay(int k)
{
   while(k--);
}

//==============================================================================
/**********************************************************************
**ԭͣ    void  page(uchar pagenumber)
**ڲ:   	Uint16	pagenumber: Ҫлҳ
**ڲ:		
**  ֵ	      
**˵    	ѡҳ,ѡ0,1,2ҳ,ҳne000оƬ 
************************************************************************/
void	page(Uint16	 pagenumber)
		{
			Uint16	temp;
			temp = Reg00;				//command register
			temp = temp&0x3B ; 			//עtxpλҪ
			pagenumber=pagenumber <<6;
			temp=temp | pagenumber;
			Reg00=temp;
		}

/**********************************************************************
**ԭ:     void 	Init8019()
**ڲ:		
**ڲ:		
**  ֵ:		              
**˵    :		оƬĹĴ,Ĵ÷ɲοĵ
**				оƬֲ
************************************************************************/
void	Init8019()
		{
			ms =0;
			while(ms<100);
/**********************************************************************

1.Reg00Ĵ: CR,Ĵ,ַƫ00H,Ϊһֽ
  λ:  7   6   5   4   3   2   1   0 
: PS1 PS0 RD2 RD1 RD0 TXP STA STP 
//============================================
2.
RD2,RD1,RD0: 3λҪִеĹܡ
 0   0   1 : ڴ
 0   1   0 : дڴ
 0   1   1 : ݰ
 1   *   * : ɻDMAĶд
//============================================
3.TXPλ1ʱݰԶ
//============================================
4.
STA,STP:	λֹͣ
 1   0 		
 0   1 		ֹͣ
//============================================
********************************************************/
			Reg00=0x21;   //ʹоƬֹͣģʽ,ʱмĴ
			InitProtocal();
			ms = 0;
			while(ms<100); //ʱ100,ȷоƬֹͣģʽ
			page(0);
			delay(10);
			Reg0a= 0x00;   //rbcr0
			delay(1);
			Reg0b= 0x00;   //rbcr1
			delay(1);
			Reg0c= 0xe0;  //RCR,ģʽ,ݰ
			delay(1);
			Reg0d= 0xe2;  //TCR,loop backģʽ
			delay(1);
			Reg01= 0x4c;   //pstart = 0x4c
			delay(1);
			Reg02= 0x80;   //pstop = 0x80
			delay(1);
			Reg03= 0x4c;   //bnry = 4c
			delay(1);
			Reg04= 0x40;  //TPSR,ʼҳĴ
			delay(1);
			Reg07= 0xff;  //жϱ־λж״̬Ĵ
			delay(1);
			Reg0f= 0x00;  //жμĴ0ֹж
			delay(1);
			Reg0e= 0xc9;  // üĴ16λdmaʽ
			page(1);
			delay(10);
			Reg07= 0x4d;
			delay(1);
			Reg08= 0x00;
			delay(1);
			Reg09= 0x00;
			delay(1);
			Reg0a= 0x00;
			delay(1);
			Reg0b= 0x00;
			delay(1);
			Reg0c= 0x00;
			delay(1);
			Reg0d= 0x00;
			delay(1);
			Reg0e= 0x00;
			delay(1);
			Reg0f= 0x00;

    		Reg01= MAC_self.addr2_1;
    		Reg02= MAC_self.addr2_1>>8;
    		Reg03= MAC_self.addr4_3;
    		Reg04= MAC_self.addr4_3>>8;
    		Reg05= MAC_self.addr6_5;
    		Reg06= MAC_self.addr6_5>>8;

			page(0);
			delay(10);
			Reg0c= 0xce;  //оƬóģʽ,ⲿ
			delay(1);			
			Reg0d= 0xe0;
			delay(1);
			Reg00= 0x22;  //оƬʼ
//-----------------------------------
			Reg07= 0xff;  //жϱ־λ
			ms = 0;
			while(ms<100);
		}

void 	InitProtocal(void)
		{
/*  server_ip=192.168.1.40  */

    		server_ipaddr.addr2_1  =192;
    		server_ipaddr.addr2_1 +=(Uint16)168<<8;
    		server_ipaddr.addr4_3  =1;
    		server_ipaddr.addr4_3 +=(Uint16)40<<8;

//192.168.1.1    
    		nod_ipaddr.addr2_1     =192;
    		nod_ipaddr.addr2_1    +=(Uint16)168<<8;
    		nod_ipaddr.addr4_3     =1;
    		nod_ipaddr.addr4_3    +=(1<<8);
    
    		t_iphdr.tos_version    =69;
    		t_iphdr.tos_version   +=(Uint16)0<<8;      //usally not use
    		t_iphdr.id =20;  //++IP_id;
    		t_iphdr.id +=(Uint16)52<<8;
    
    		t_iphdr.frag_off =0;
    		t_iphdr.protocal_ttl   =128;       //usally 32 or 64
    		t_iphdr.protocal_ttl +=(Uint16)17<<8;
    		t_iphdr.saddr =nod_ipaddr;
    		t_iphdr.daddr =server_ipaddr;
    //UDP PORT
    		t_udphdr.sport =1024; //1*256+0x08,9901
    		t_udphdr.dport =1025; //1*256+0x07,9901
    
    		pre_udphdr1.saddr=t_iphdr.saddr;
    		pre_udphdr1.daddr=t_iphdr.daddr;
    		pre_udphdr1.protocal_value  =0;
    		pre_udphdr1.protocal_value +=17<<8;  //UDP
// FF-FF-FF-FF-FF-FF    
    		MAC_broad.addr2_1   =255;
    		MAC_broad.addr2_1  +=(Uint16)255<<8;
    		MAC_broad.addr4_3   =255;
    		MAC_broad.addr4_3  +=(Uint16)255<<8;
    		MAC_broad.addr6_5   =255;
    		MAC_broad.addr6_5  +=(Uint16)255<<8;
    
//	02-E0-4C-A0-7E-7A    
    		MAC_self.addr2_1  =1<<1;
    		MAC_self.addr2_1  +=(Uint16)224<<8;
    		MAC_self.addr4_3  =76;
    		MAC_self.addr4_3  +=(Uint16)160<<8;
    		MAC_self.addr6_5  =126;
    		MAC_self.addr6_5  +=(Uint16)122<<8;

//  00-E0-4C-A0-7E-7A	    
	    	MAC_nod.addr2_1  =0;
    		MAC_nod.addr2_1  +=(Uint16)224<<8;
    		MAC_nod.addr4_3  =76;
    		MAC_nod.addr4_3  +=(Uint16)160<<8;
    		MAC_nod.addr6_5  =126;
    		MAC_nod.addr6_5  +=(Uint16)122<<8;
	}


//=============================================================================
/**********************************************************************
**ԭͣ    void 		SendFrame(Uint16 *TxdNetBuff,Uint16  length)
**ڲ:		Uint16    	*TxdNetBuff	:ָͻ
**              uint length					:ݰĳ
**ڲ:		
**  ֵ	              
**˵    	ݰ,̫ײ,еݷͶҪͨó
************************************************************************/
void	SendFrame(Uint16	*TxdNetBuff,Uint16 length)
		{
			Uint16		i,ii;
		   	if(length<46/2)
       			{
          			for(i=length;i<60/2;i++)	TxNetBuf[i]=0;
          			length=60/2;
       			}
			
			page(0);
			delay(10);						//л0ҳ
			length = length <<1;
			TxBufFlag=!TxBufFlag;			//,߷Ч
			if(TxBufFlag)
				{Reg09=0x40 ;}				//÷ҳַ
			else
				{Reg09=0x46 ;}				//÷ҳַ
    
			Reg08=0x00; 					//read page address low
			delay(1);
			Reg0b = length >>8;				//дͳȸλ
			delay(1);
			Reg0a = length & 0x00ff;        //дͳȵλ  
			delay(1);
			Reg00=0x12;						//write dma, page0

			for(i=0;i<length/2;i++)
				{
					Reg10 = TxNetBuf[i];
   				}
/***************************************/
//ΪֹDMA
			Reg0b=0x00; 
			delay(1);
			Reg0a=0x00;
			delay(1);
			Reg00=0x22;			//DMA
			delay(1);
/***************************************/

			for(i=0;i<6;i++)	//ط6
				{
					for(ii=0;ii<1000;ii++)
    					{//CRĴtxpλǷΪ,Ϊ1˵ڷ,Ϊ0˵
        					if((Reg00&0x04)==0)  
        						{ break; }
        				}
					if((Reg04&0x01)!=0)//ʾͳɹ,жϷ״̬ĴTSRǷ
						{break;};
					Reg00=0x3e;
				}
			delay(1);
			Reg07=0xff;
			if(TxBufFlag)
				{
  					Reg04=0x40;   //txd packet start;
  				}
			else
				{
     				Reg04=0x46;  //txd packet start;
    			}
    		delay(1);	
			Reg06=length>>8;  //high byte counter
			delay(1);
			Reg05=length&0xff;//low byte counter
			delay(1);
			Reg07=0xff;
			delay(1);
			Reg00=0x3e;       //to sendpacket;
	}

/**********************************************************************
**ԭͣ    Uint16        Rec_NewPacket()
**ڲ:		
**ڲ:		
**  ֵ	0          ûݰ
**              1          յݰ
**˵    	ѯǷݰս
************************************************************************/
Uint16	RecFrame()
		{
			Uint16	i,ii;
			Uint16	Temp,length;
			union{
					Uint16	total;	
					struct{
							Uint16	high:8;
							Uint16	low:8;
						  }e;
				 }d;
			for(i=0;i<1518/2;i++)	RxNetBuf[i] = 0;				 		  		
			page(0);
			delay(10);
			bnry = Reg03;				//bnry page have read ҳָ
			bnry = bnry & 0x00FF;
			page(1);
			delay(10);
			curr = Reg07;				//curr writepoint 8019дҳָ
			curr = curr & 0x00FF;
			page(0);
			delay(10);
			if((curr==0))return(0);	//Ĺ̳
			bnry++;
			if(bnry>0x7f)	bnry=0x4c;
			if(bnry!=curr)			//ʱʾµݰڻ
    			{					//κβ÷page0
     				page(0);
     				delay(10);
     //=======================================
     				Reg09=bnry;		//ҳַĸֽ
     				delay(5);
     				Reg08=0x00; 	//ҳַĵֽ
     				delay(5);
     				Reg0b=0x00;		//ȡֽڼֽ
     				delay(5);
     				Reg0a=18;       //ȡֽڼֽ
     				delay(5);
     				Reg00=0x0a;     //Remote DMA
	 				delay(5);	
     				for(i=0;i<9;i++)	//ȡһǰ18ֽ:4ֽڵ8019ͷ,6ֽĿĵַ,6ֽԭַ,2ֽЭ
                    	{
                       		RxNetBuf[i]=Reg10;
                       		delay(1);
                      	}
 //=======================================ֹDMA
     				Reg0b=0x00;	//
     				delay(1);
     				Reg0a=0x00;	//
     				delay(1);
     				Reg00=0x22;	//DMA
     				delay(1);
 //=======================================
					
					d.total = RxNetBuf[0];
					length = RxNetBuf[1];
     				if(((d.e.low & 0x01)==0)||(d.e.high > 0x7f) || (d.e.high < 0x4c)||( length > 1517))
    					{//״̬һݰʼҳַյݰ>1500ֽ
       						page(1);
       						delay(10);
							curr=Reg07; 	//page1
							page(0);		//лpage0
							delay(10);
        					bnry = curr -1;
        					if(bnry < 0x4c) 	bnry =0x7f;
        					Reg03=bnry; 	//write to bnry     
        					delay(1);
        					Reg07=0xff;
							return(0);
              			}
//=============================================
            
     				else//ʾݰõ.ȡʣµ
     					{
     						Temp = SwapByte(RxNetBuf[8]);		
        					if((Temp == IP_FRAME)||(Temp == ARP_FRAME))
								{ //ЭΪIPARPŽ
                					Reg09 = bnry;   				//read page address high
                					delay(1);
                					Reg08 = 4;      				//read page address low
                					delay(1);
                					Reg0b = length>>8;  //read count high
                					delay(1);
                					Reg0a = length & 0xff;//read count low;
                					delay(1);
                					Reg00=0x0a;                             //read dma
                					delay(1);
						        	length=(length+1)/2;
                					for(ii=2;ii<length+2;ii++)
                						{
                							RxNetBuf[ii]=Reg10;
                						}
                        			//================ֹDMA
                        			Reg0b=0x00;			//read count high  
                        			delay(1); 
                        			Reg0a=0x00;			//read count low;
                        			delay(1);
                        			Reg00=0x22;			//DMA
                        			delay(1);
                        			//============================
                        		}
                        		//=========================================
                        	d.total = RxNetBuf[0];
                        	bnry = d.e.high - 1;	
                			if(bnry<0x4c)	bnry=0x7f;
                			page(0);
                			delay(10);
	        				Reg03=bnry;      //write to bnry
	        				delay(1);
                			Reg07=0xff;
                			return(1);   //have new packet
               			}
   				}
			else	
				return(0);
		}



//============================================================
void	LoadEnetHrd(Uint16	MAC_type,Uint16	PROTO_type)
		{       
       		if(MAC_type==0)              		//ĿMACַ
         		memcpy(TxNetBuf,&MAC_server,3);
       		else if(MAC_type==BroadCast)
         		memcpy(TxNetBuf,&MAC_broad,3);
       		else if(MAC_type==RequestArp)
         		memcpy(TxNetBuf,&MAC_broad,3);
         	else if(MAC_type==AnswerArp)
         		memcpy(TxNetBuf,&MAC_rec,3);	
       		else if(MAC_type==Nod)
         		memcpy(TxNetBuf,&MAC_nod,3);
         
       		memcpy(TxNetBuf+3,&MAC_self,3);   //ԴMACַ

       		if(PROTO_type==UDP)          	  //Э
         		*(TxNetBuf+6)=8+(0<<8);   
       		else if(PROTO_type==ARP)
         		*(TxNetBuf+6)=8+(6<<8);   
       		else if(PROTO_type==LSS)          //Э
         		*(TxNetBuf+6)=8+(8<<8);   
		}
			
void	LoadArp(struct	ipaddr	*ip,Uint16	type)
		{
			struct 	arp  arp1;
         	arp1.hard_type  = (Uint16)1<<8;
         	arp1.proto_type = (Uint16)((2048<<8)+(2048>>8));
         	arp1.proto_hard_length = 6;
         	arp1.proto_hard_length += (Uint16)4<<8;
         
         	arp1.send_macaddr =MAC_self;
         	arp1.send_ipaddr  =nod_ipaddr;

			if (type==RequestArp)
				{
		           	arp1.op_code = 0x01<<8;
   					arp1.rec_macaddr.addr2_1  =0;
		   			arp1.rec_macaddr.addr4_3  =0;
   					arp1.rec_macaddr.addr6_5  =0;
         		}
         	else{
         			arp1.op_code = 0x02<<8;
		   			arp1.rec_macaddr =MAC_rec; 			
         		}	
         	arp1.rec_ipaddr   =*ip;         
         	memcpy(TxNetBuf+7,&arp1,sizeof(arp1));
		
		}
		
void	LoadIp(struct	ipaddr	*ip,Uint16	protocal)
		{
			struct	iphdr	tip;
    		tip.tos_version = 0x45;
    		tip.tos_version += (Uint16)0<<8;      //usally not use
    		tip.id =20;  //++IP_id;
    		tip.id +=(Uint16)52<<8;
    
    		tip.frag_off =0;
    		tip.protocal_ttl   =128;       //usally 32 or 64
    		tip.saddr =nod_ipaddr;
    		tip.daddr = *ip;
			if	(protocal==TCP)
  		  		t_iphdr.protocal_ttl +=(Uint16)6<<8;
  		  	else if (protocal==UDP)
  		  		t_iphdr.protocal_ttl +=(Uint16)17<<8;	
			else if (protocal==ICMP)
	    		t_iphdr.protocal_ttl +=(Uint16)1<<8;
			else if (protocal==IGMP)
	    		t_iphdr.protocal_ttl +=(Uint16)2<<8;
         	memcpy(TxNetBuf+7,&tip,sizeof(tip));	    		
		}
		
				
void	ArpRequest(struct	ipaddr *ip)
		{
			LoadEnetHrd(RequestArp,ARP);         	
			LoadArp(ip,RequestArp);
         	SendFrame(TxNetBuf,30);
		}

void	ArpAnswer(struct	ipaddr *ip)
		{
			LoadEnetHrd(AnswerArp,ARP);         	
			LoadArp(ip,AnswerArp);
         	SendFrame(TxNetBuf,30);
		}

Uint16	SwapByte(Uint16	value)
		{
    		Uint16	temp;
    		temp=(value<<8)|(value>>8);
    		return(temp);
		}								

		
//======================= END ===============================

