/******************************************************************************/
/* Uart_driver.c                                                              */
/*                                                                            */
/* This is proprietary information, not to be published -- DIGIPRO DATA   	  */
/* Copyright (C) 2002, DigiPro Information Co.,Ltd.  All Rights Reserved.     */
/*                                                                            */
/* Author: Wu DingMing                                                        */
/* Date: August 12, 2002                                                      */
/******************************************************************************/
#include "HDdrv.h"
#include "uart.h"
void Uart_Init(void)
{

	UART_LCR =	0x03;
	UART_IER =  0;

	UART_LCR =	0x83;        
	UART_DLL =	0x18;   /*DLAB =1*/
	UART_DLM =	0x00;   /*DLAB =1*/
	
	UART_FCR = 0x00;/*write*/
 	UART_LCR = 0x03;
	
//	UART_MCR =
//	UART_LSR =
//	UART_MSR =
//	UART_SCR =                         
	
//	UART_IIR 	   /*read*/
//	UART_RBR   
//	UART_THR
}
unsigned int Uart_tx(unsigned int data)
{
	volatile unsigned long ii = 0L;      
	while(!(UART_LSR & 0x20))
	{               
		if(ii++>1000000)
		{   
			return(0xffff);
		}
	}       
	UART_THR = data;
	return(0);
}
unsigned int Uart_rx(void)
{
	volatile unsigned long ii = 0L;      
	while(!(UART_LSR & 0x01))
	{
		if(ii++>2000000)
		{   
			return(0xffff);
		}
	}
	return(UART_RBR);
}
